#1201 closed defect (fixed)

_POSIX_SHARED_MEMORY_OBJECTS is define to 1 but no shm_open

Reported by: Johnny Willemsen Owned by: Ralf Corsepius
Priority: normal Milestone: 4.7
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: dunsmoreb@… Blocked By:
Blocking:

Description

When porting ACE I run into the issue that _POSIX_SHARED_MEMORY_OBJECTS is defined to 1 in features.h but no shm_open is deliverd. When _POSIX_SHARED_MEMORY_OBJECTS is defined to 1 we expact shm_open to be there. Found an explicit reference to which API's should be available when a posix define has been set.

http://techpubs.sgi.com/library/tpl/cgi-bin/getdoc.cgi?coll=linux&db=man&fname=/usr/share/catman/man7/posixoptions.7.html

Change History (3)

comment:1 Changed on Aug 19, 2008 at 7:26:41 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Ralf Corsepius

comment:2 Changed on Dec 18, 2013 at 1:39:00 AM by Bryan Dunsmore

Resolution: fixed
Status: newclosed, dunsmoreb@gmail.com

This is now fixed with revision 1.16 in newlib's libc/include/sys/features.h'; RTEMS's _POSIX_SHARED_MEMORY_OBJECTS' was commented out.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.